module gedo.text.convert;



private import std.conv;
private import std.string;



alias char* stringz;



public string toString(int i)
{
	return .std.string.toString(i);
}


public int toInt(string s)
{
	return .std.conv.toInt(s);
}


public real toReal(string s)
{
	return .std.conv.toReal(s);
}


public string fromStringz(stringz sz)
{
	uint i;

	for(i=0;sz[i]!=0;++i)
	{
	}

	return sz[0..i];
}


public stringz toStringz(string s)
{
	return s.ptr;
}


public stringz[] toStringz(string[] ss)
{
	stringz[] szs;

	szs.length = ss.length;

	foreach(i, inout sz; szs)
	{
		sz = ss[i].ptr;
	}

	return szs;
}
